%define		realname		gettext
Summary:	gettext libraries - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteki gettext - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	0.18.3.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/gettext/%{realname}-%{version}.tar.gz
# Source0-md5:	3fc808f7d25487fc72b5759df7419e02
Patch0:		%{realname}-libintl_by_gcj.patch
Patch1:		%{name}-kill_tools.patch
URL:		http://www.gnu.org/software/gettext/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libiconv
BuildRequires:	libtool
BuildRequires:	texinfo
Requires:	crossmingw32-libiconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		_ssp_cflags		%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
gettext libraries - cross MinGW32 version.

%description -l pl.UTF-8
Biblioteki gettext - wersja skrośna dla MinGW32.

%package static
Summary:	Static gettext libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gettext (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gettext libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gettext (wersja skrośna MinGW32).

%package dll
Summary:	DLL gettext libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gettext dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libiconv-dll
Requires:	wine

%description dll
DLL gettext libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gettext dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
cd gettext-runtime
%{__libtoolize}
%{__aclocal} -I m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd libasprintf
%{__aclocal} -I ../../m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../gettext-tools
%{__aclocal} -I m4 -I ../gettext-runtime/m4 -I ../m4 -I gnulib-m4 -I libgrep/gnulib-m4 -I libgettextpo/gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-csharp \
	--enable-static \
	--without-bzip2 \
	--without-git \
	--with-xz

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{{envsubst,gettext,ngettext}.exe,gettext.sh}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,gettext,locale,man}
%{__rm} -r $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libintl.dll.a
%{_libdir}/libintl.la
%{_libdir}/libasprintf.dll.a
%{_libdir}/libasprintf.la
%{_includedir}/autosprintf.h
%{_includedir}/libintl.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libintl.a
%{_libdir}/libasprintf.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libintl-8.dll
%{_dlldir}/libasprintf-0.dll
%changelog
* Mon Oct 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-gettext.git;a=log;h=master

* Mon Aug 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 94fc18f
- updated to 0.18.3.1
- removed obsolete ac patch

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> e5f47d6
- updated to 0.18.3
- added ac patch (fixes win32 vsnprintf variants detection)

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> 97f3820
- remove default stack protector flags

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> bf781a5
- updated to 0.18.2.1

* Thu Dec 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2116e22
- updated to 0.18.2

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> bc5a7e5
- unified MinGW32 caps

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 608b274
- updated to 0.18.1.1
- updated kill-tools patch
- no glib2 or libunistring BR as tools are not built

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 5afd918
- added bootstrap mode
- disabled building gettext-tools (patch)

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 2b52e2c
- initial version

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> d1cba7a
- copied from gettext package

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 47451ae
- drop obsolete files

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> ab7c136
- unify ftp.gnu.org urls

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 80f32cc
- force %{_lib}-independent libdir

* Thu Nov 15 2007 Jakub Bogusz <qboosh@pld-linux.org> fb17fce
- updated to 0.17
- removed obsolete cross and localename patches
- build with SHELL=bash (bashisms in makefiles)
- needs gcc 4.1.x with pr29826 patch (or different gcc version) to build

* Thu Nov 15 2007 Jakub Bogusz <qboosh@pld-linux.org> a25c76d
- obsolete

* Wed Nov 07 2007 Jakub Bogusz <qboosh@pld-linux.org> dfbf778
- updated for 0.17

* Wed Nov 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 618b2e0
- updated for 0.17 (just a few fixes/unifications)

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 3b34d92
- no private gcc dirs used here

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> d17eea6
- -dll R: libiconv-dll

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> c9e435a
- cleanup, separated -static,-dll

